Opened 6 years ago

Closed 6 years ago

#48947 closed defect (duplicate)

port llvm-3.5 returned: Failed to locate 'xz' in path

Reported by: s.raeisi@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: base Version: 2.3.3
Keywords: Cc:
Port:

Description (last modified by ryandesign (Ryan Schmidt))

$ sudo port install py27-numpy
Warning: xcodebuild exists but failed to execute
Warning: Xcode does not appear to be installed; most ports will likely fail to build.
--->  Computing dependencies for py27-numpy
--->  Dependencies to be installed: libgcc cctools llvm-3.5 isl ld64 ld64-latest libmpc mpfr py27-cython cython_select py27-nose nosetests_select py27-setuptools
--->  Extracting llvm-3.5
Error: org.macports.extract for port llvm-3.5 returned: Failed to locate 'xz' in path: '/opt/local/bin:/opt/local/sbin:/bin:/sbin:/usr/bin:/usr/sbin' or at its MacPorts configuration time location, did you move it?
Error: Failed to install llvm-3.5
Please see the log file for port llvm-3.5 for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_lang_llvm-3.5/llvm-3.5/main.log
Error: The following dependencies were not installed: libgcc cctools llvm-3.5 isl ld64 ld64-latest libmpc mpfr py27-cython cython_select py27-nose nosetests_select py27-setuptools
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port py27-numpy failed

Change History (2)

comment:1 Changed 6 years ago by ryandesign (Ryan Schmidt)

Description: modified (diff)

I'm not sure why the xz port didn't get installed before the llvm-3.5 port, since the xz port is listed as an extract dependency of the llvm-3.5 port.

Does manually installing the xz port first work around the problem?

sudo port install xz

comment:2 Changed 6 years ago by ryandesign (Ryan Schmidt)

Component: portsbase
Resolution: duplicate
Status: newclosed

I note this was not a clean build attempt. You should always clean and try again before reporting a problem.

I also note the error message that xcodebuild failed and Xcode was not installed. You must install Xcode and the Xcode command line tools to use MacPorts. Consult our installation instructions if you need further assistance with that.

I think this is a duplicate of #34547.

Note: See TracTickets for help on using tickets.